We just released our native n8n integration!» Try now
OnlyFans API

Update Subscription Price

Update the account subscription price. Send 0 or "free" to make the account free. ⚠️ WARNING! OnlyFans limits updating the subscription price to max. 3 times per day.

PATCH
/api/{account}/settings/subscription-price
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

Request Body

application/json

price*string

The new subscription price. Accepts 0, "free", or a number between 4.99 and 200.

Response Body

application/json

curl -X PATCH "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/settings/subscription-price" \  -H "Content-Type: application/json" \  -d '{    "price": "4.99"  }'
{
  "data": {
    "success": true
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999969,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 10000000,
      "limit_day": 50000,
      "remaining_minute": 9999998,
      "remaining_day": 49970
    }
  }
}